@import url('https://fonts.googleapis.com/css2?family=Lobster&display=swap');


* {
    margin: 0;
    padding: 0;
    font-family: 'Lobster', cursive;
    font-size: 18px;
    line-height: 125%;
    color: gray;
    text-decoration: none;
}




/* grid... y container. xd */
.grid-container {
    display: grid;
    grid-template-rows: auto 1fr 4em;
    grid-template-columns: 16% 1fr 1fr;
    grid-template-areas:
        "header header header"
        "sidebar cards cards"
        "footer footer footer";
}




/* ---- Header ---- */
header {
    display: flex;
    justify-content: center;
    padding: 2em;
    border-bottom: 2px solid rgb(160, 160, 160);

    grid-area: header;
}

    h1 {
        font-size: 32px;
   }




/* ---- Sidebar ---- */
aside {
    display: flex;
    flex-flow: column;

    grid-area: sidebar;
}

.cards > aside > a { margin-bottom: 12px; } 
.cards > aside > a:hover { color: black; border-bottom: 1px dashed blue; }




/* ---- Cards ---- */
article {
    display: flex;
    flex-direction: column;

    grid-area: cards;
}
section[class="cards"] {
    margin: 2em;
    display: flex;
}

section[class="cards"]:last-child {
    margin-left: 200px;
    display: flex;
}

section[class="cards"] figure {
    border: 1px solid rgb(160, 160, 160);
    border-radius: 12px;
    padding: 12px;
    margin: 2px;
    justify-content: center;
}

section[class="cards"] figure figcaption {
    display: flex;
    justify-content: center;
}

section[class="cards"] figure img {
    border-radius: 4px;
    max-width: 100%;
    display: flex;
    justify-content: center;

    margin-bottom: 12px;
}




/* Footer */
footer {
    display: flex;
    align-items: center;
    padding: 2em;
    border-top: 2px solid rgb(160, 160, 160);
    justify-content: space-between;

    grid-area: footer;
}
    .social {
        display: flex;
    }
    footer > div.social > a > img {
        display: flex;
        width: 48px;
        height: 48px;
        margin-right: 8px;
        border-radius: 0.25em;
}



/* apuntes flex

justify-content
align-items
flex-direction
order
align-self
flex-wrap
flex-flow
align-content

*/